Description

In the Metadata View, add a small textbox where the user can copy/paste R code that will download the current package from
DataONE.

History

#1 - 11/02/2015 11:16 AM - Lauren Walker

- Target version set to 1.9.0

#2 - 11/04/2015 12:34 PM - Lauren Walker
- Target version changed from 1.9.0 to 1.12.0

#3 - 01/19/2016 09:58 AM - Lauren Walker
- Target version changed from 1.12.0 to 1.11.0

#4 - 02/04/2016 12:45 PM - Lauren Walker

- Subject changed from Add copy/paste R code snippet for downloading a DataONE package to Add copy/paste R and Matlab code snippet for
downloading a DataONE package

#5 - 02/04/2016 01:38 PM - Chris Jones
Hi Lauren,
| think this a great idea, and we can provide a Matlab snippet. However, it requires that the person has installed the Matlab DataONE Toolbox first for

the snippet to work. We don't have an automated way to install the toolbox in Matlab, and in fact Matlab needs to be restarted on the first installation.
We should probably discuss how to go about this.

#6 - 02/04/2016 01:43 PM - Peter Slaughter

The complete R program to download a package from KNB, for example:
library(dataone)

cn <- CNode()

mn <- getMNode(cn, "urn:node:KNB")
packageFileName <- getPackage(mn, "urn:uuid:5f8ba126-bb68-4429-8edb-5a5dfa078ef4")

The variable "packageFileName" is the file path of a temporary Bagit file.

The id specified has to be the package id.

#7 - 02/04/2016 02:07 PM - Matt Jones

In principle this is a great idea. In practice, I'm not so sure about the code snippet from Peter, as it only provides the file in the Bagit format. What
would be more useful would be to provide an instance of the DataPackage class, and show how the user can list the objects in the package
(getldentifiers()), and access the objects and metadata (getMember()) In looking at the API, it looks like we still have some work to do to make this
convenient for users.

#8 - 02/04/2016 02:13 PM - Lauren Walker

Chris - | think we can assume that users who use that code will have the Matlab Toolbox installed. Maybe we can include in the code snippet a Matlab
comment that indicates so.

Peter and Matt - | was thinking the code would create an instance of the DataPackage class as well. If this isn't feasible yet for the R client, | can
implement this later. | don't think download the .zip file via R is very useful, so | won't put that in the Ul.
#9 - 03/14/2016 11:12 AM - Lauren Walker
- Target version changed from 1.11.0to 1.12.0

#10 - 03/18/2016 08:31 AM - Chris Jones

Lauren,
It looks like you added a snippet, but | don't think it's complete. You need to instantiate the mgr object, so | think something like this would work:

import org.dataone.client.run.RunManager;

mgr = RunManager.getinstance();

mgr.configuration.authentication_token='<token-goes-here>';

It doesn't really matter if mgr is already instantiated because the RunManager is a singleton, so | don't think this will be a problem.

#11 - 03/18/2016 08:41 AM - Matt Jones

Note this thread about how to name the token. Turns out this is confusing for at least one of our experienced R users.
https://github.com/DataONEorg/rdataone/issues/139

#12 - 03/18/2016 10:41 AM - Lauren Walker

Thanks Chris, | will change the token code snipper for Matlab.

#13 - 08/03/2016 10:02 AM - Lauren Walker
- Target version changed from 1.12.0 to 1.X.0
